%plot the steady state solution for the diffusion equation with Robin
%conditions

set(0,                           ...
   'defaultaxesfontsize', 20,   ...
   'defaultaxeslinewidth', 1.0, ...
   'defaultlinelinewidth', 1.2, ...
   'defaultpatchlinewidth', 0.7);

cmykflg=0;
%if cmykflg=1, this code will make cmyk figure files
%cmykflg = 1;

dellist = [0,1,10];
x = [0:.1:1];
u0=1;
u1=0;

for j = 1:3
    del = dellist(j)
f=((u1-u0)*x+del*(u0+u1)+u0)/(1+2*del);
figure(1)
plot(x,f,0,u0,'*',1,u1,'*','linewidth',2)
xlabel('x/L','fontsize',20)
ylabel('u_s(x)','fontsize',20)
hold on
end
text(0.1,0.94,'\Delta = 0','fontsize',20)
text(0.1,0.67,'\Delta = 1','fontsize',20)
text(0.1,0.47,'\Delta = 10','fontsize',20)
hold off
if(cmykflg==1)
print('../../figs_c/chapt_5/st_st_profs','-deps','-cmyk')
 end