% plot of tube_diffusion solution

set(0,                           ...
   'defaultaxesfontsize', 20,   ...
   'defaultaxeslinewidth', 1.0, ...
   'defaultlinelinewidth', 1.2, ...
   'defaultpatchlinewidth', 0.7);

cmykflg=0;
%if cmykflg=1, this code will make cmyk figure files
%cmykflg = 1;

x = [0:400]/100;
dx = 1/100;
f = exp(-x.^2/2);
sumf = cumsum(f)-f(1)/2;
sc = dx*sqrt(2/pi);
intf = 1-sc*sumf;
figure(1)
plot(x,intf,'linewidth',2)
xlabel('z','fontsize',20)
ylabel('u(z)','fontsize',20)
 if(cmykflg==1)
print('../../figs_c/chapt_5/tube_diff','-deps','-cmyk')
 end
  
figure(2)
plot(sqrt(1./x),intf,'linewidth',2)
xlabel(' z^{-1/2}','fontsize',20)
ylabel('u(z)','fontsize',20)
 if(cmykflg==1)
print('../../figs_c/chapt_5/tube_diff_vs_t','-deps','-cmyk')
  end

